### Method

# Gimp Image set_simulation_profile_from_file

#### Declaration [src]

    gboolean
    gimp_image_set_simulation_profile_from_file (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Sets the image’s simulation color profile from an ICC file

This procedure sets the image’s simulation color profile from a file containing an ICC profile, or unsets it if NULL is passed as ‘file’. This procedure does no color conversion.

Available since: | 3.0

#### Parameters

`file` | `GFile`
| The file containing the new simulation color profile.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.